## org.apache.axis.schema
Interface SchemaVersion

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  SchemaVersion1999, SchemaVersion2000, SchemaVersion2001

public interface SchemaVersion
extends java.io.Serializable

The SchemaVersion interface allows us to abstract out the differences between the 1999, 2000, and 2001 versions of XML Schema.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary
`static SchemaVersion` `SCHEMA_1999`
`static SchemaVersion` `SCHEMA_2000`
`static SchemaVersion` `SCHEMA_2001`

Method Summary
`QName` `getNilQName()` Get the appropriate QName for the "null"/"nil" attribute for this Schema version.
`java.lang.String` `getXsdURI()` The XSD URI
`java.lang.String` `getXsiURI()` The XSI URI
`void` `registerSchemaSpecificTypes(TypeMapping tm)` Register the schema specific type mappings

Field Detail

### SCHEMA_1999

    public static final SchemaVersion SCHEMA_1999

### SCHEMA_2000

    public static final SchemaVersion SCHEMA_2000

### SCHEMA_2001

    public static final SchemaVersion SCHEMA_2001

Method Detail

### getNilQName

    public QName getNilQName()

  Get the appropriate QName for the "null"/"nil" attribute for this Schema version.

  Returns:
    the appropriate "null"/"nil" QName

### getXsiURI

    public java.lang.String getXsiURI()

  The XSI URI

  Returns:
    the XSI URI

### getXsdURI

    public java.lang.String getXsdURI()

  The XSD URI

  Returns:
    the XSD URI

### registerSchemaSpecificTypes

    public void registerSchemaSpecificTypes(TypeMapping tm)

  Register the schema specific type mappings

Copyright © 2003 Apache Web Services Project. All Rights Reserved.